Summary: Rename multiple files
Name: ren
Version: 1.0
Release: 12%{?dist}
License: Public Domain
Group: Applications/File
Source: ftp://sunsite.unc.edu/pub/Linux/utils/file/ren-1.0.tar.gz
Patch0: ren-1.0.Wall.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://linux.maruhn.com/sec/ren.html

%description
Whereas mv can rename (as opposed to move) only one file at a time,
ren can rename many files according to search and replacement
patterns, ala VMS and MS-DOS (but better). ren checks for replacement name
collisions and handles rename chains (1 goes to 2 goes to 3 etc.)
gracefully.

%prep
%setup -q
%patch0 -p1

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
#there is no install script included in the upstream Makefile
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir} %{buildroot}/%{_mandir}/man1/
install -m 755 ren %{buildroot}/%{_bindir}
install -m 644 -p ren.1 %{buildroot}/%{_mandir}/man1/


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{_mandir}/man1/ren.1*
%{_bindir}/ren

%changelog

* Sat Jun 30 2007 lonely wolf <wolfy@fedoraproject.org> - 1.0-12
- fix preserving of man timestamp. Thanks Patrice Dumas for reporting it.

* Fri Sep 22 2006 lonely wolf <wolfy@pcnet.ro> - 1.0-11
- "freshly" included source did not have correct timestamps. Fixed.

* Fri Sep 22 2006 lonely wolf <wolfy@pcnet.ro> - 1.0-10
- the included tar.gz file did not match the md5sum from upstrean. recreated the src.rpm with a freshly downloaded one

* Fri Sep 22 2006 lonely wolf <wolfy@pcnet.ro> - 1.0-9
- cosmetic fixes

* Thu Jul 27 2006 lonely wolf <wolfy@pcnet.ro> - 1.0-8
- fix generation of debuginfo package

* Wed Jun 28 2006 lonely wolf <wolfy@pcnet.ro> - 1.0-7
- cleanup (%%defattr, %%make)

* Thu Jun 23 2006 lonely wolf <wolfy@pcnet.ro> - 1.0-6
- minor spec cleaning

* Fri Jun 23 2006 Alan Iwi <A.M.Iwi@rl.ac.uk>
- buildroot
- man file is gzipped and is in %%{_mandir}/man1
- patch0: changes to ensure a clean build with gcc -Wall

* Sun Aug 30 1998 W. L. Estes <wlestes@uncg.edu>
- fix docdir permissions

* Sat Aug 01 1998 W. L. Estes <wlestes@hamlet.uncg.edu>
- buildroot
- drop patch to Makefile
- relocateable
- defattr in filelist
